Search
1 min
GET
https://api.optimizely.com/v2/search
per_pageintegerOptional pagination argument that specifies the maximum number of objects to return per request
pageintegerOptional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.
querystringThe text to search for.
project_idarrayFilters search results by Project ID. Specifying multiple Project IDs will search across all specified projects.
typearrayFilters search results by entity type. Specifying multiple types will search across all types specified.
type_expandarray<p>Filters search results by experiment, rule or campaign types. Specifying multiple types will search across all types specified.</p>
project_typearrayFilters search results by project type. Specifying multiple types will search across all types specified.
expandarrayInclude the project name with the search result
archivedbooleanWhether or not to include archived entities in the search results. If this parameter is not provided it will default to false and no archived entities will be included.
fullsearchbooleanWhether or not to perform full document search for the given search keyword. If this parameter is not provided it will default to false.
statusarray<p>Filters search results by the current status of the entity if it has one. Works for Experiments and Campaigns, and it may work for others. Specifying multiple statuses will search for entities with ANY of those statuses.</p>
sortstringThe property to sort by.
orderstringThe property to sort by.
environment_keystring<p>Filters search result by environment_key when applicable</p>
audience_idarray<p>Filters search result by audience_id when applicable</p>
acceptstringGenerated from available response content types
200Return search results
401Invalid credentials
403You do not have permission to search the specified Account or Project
defaultUnexpected error
curl --request GET \
--url 'https://api.optimizely.com/v2/search?per_page=25&page=1&query=string&archived=boolean&fullsearch=boolean' \
--header 'accept: application/json'